--- old/usr/src/cmd/acct/utmp2wtmp.c	Sun Nov 30 17:57:26 2014
+++ new/usr/src/cmd/acct/utmp2wtmp.c	Sun Nov 30 17:57:26 2014
@@ -26,11 +26,11 @@
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
+
 /*
  *	create entries for users who are still logged on when accounting
  *	is being run. Look at utmpx, and update the time stamp. New info
- *	goes to wtmpx. Called by runacct. 
+ *	goes to wtmpx. Called by runacct.
  */
 
 #include <stdio.h>
@@ -55,9 +55,9 @@
 	}
 
 	while ((utmpx = getutxent()) != NULL) {
-		if ((utmpx->ut_type == USER_PROCESS) && !(nonuser(*utmpx))) {
+		if ((utmpx->ut_type == USER_PROCESS) && !(nonuserx(*utmpx))) {
 			time(&utmpx->ut_xtime);
-			fwrite(utmpx, sizeof(*utmpx), 1, fp);
+			fwrite(utmpx, sizeof (*utmpx), 1, fp);
 		}
 	}
 	fclose(fp);
--- old/usr/src/cmd/utmpd/utmpd.c	Sun Nov 30 17:57:26 2014
+++ new/usr/src/cmd/utmpd/utmpd.c	Sun Nov 30 17:57:26 2014
@@ -31,8 +31,6 @@
  * under license from the Regents of the University of California.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * utmpd	- utmp daemon
  *
@@ -959,7 +957,7 @@
 	(void) pututxline(u);
 	updwtmpx(WTMPX_FILE, u);
 	/*
-	 * XXX update wtmp for ! nonuser entries?
+	 * XXX update wtmp for ! nonuserx entries?
 	 */
 }
 
--- old/usr/src/cmd/w/w.c	Sun Nov 30 17:57:26 2014
+++ new/usr/src/cmd/w/w.c	Sun Nov 30 17:57:26 2014
@@ -233,7 +233,7 @@
 	}
 
 	/*
-	 * read the UTMP_FILE (contains information about each logged in user)
+	 * read the UTMPX_FILE (contains information about each logged in user)
 	 */
 	if (stat(UTMPX_FILE, &sbuf) == ERR) {
 		(void) fprintf(stderr, gettext("%s: stat error of %s: %s\n"),
@@ -264,7 +264,7 @@
 		prtat(&now);
 		for (ut = utmpbegin; ut < utmpend; ut++) {
 			if (ut->ut_type == USER_PROCESS) {
-				if (!nonuser(*ut))
+				if (!nonuserx(*ut))
 					nusers++;
 			} else if (ut->ut_type == BOOT_TIME) {
 				uptime = now - ut->ut_xtime;
--- old/usr/src/cmd/wall/wall.c	Sun Nov 30 17:57:26 2014
+++ new/usr/src/cmd/wall/wall.c	Sun Nov 30 17:57:26 2014
@@ -314,7 +314,7 @@
 		/*
 		 * if (-a option OR NOT pty window login), send the message
 		 */
-		if (aflag || !nonuser(*p))
+		if (aflag || !nonuserx(*p))
 			sendmes(p, zid);
 	}
 	endutxent();
--- old/usr/src/man/man3c/getutxent.3c	Sun Nov 30 17:57:26 2014
+++ new/usr/src/man/man3c/getutxent.3c	Sun Nov 30 17:57:26 2014
@@ -3,7 +3,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH GETUTXENT 3C "Jul 27, 2004"
+.TH GETUTXENT 3C "Nov 21, 2014"
 .SH NAME
 getutxent, getutxid, getutxline, pututxline, setutxent, endutxent, utmpxname,
 getutmp, getutmpx, updwtmp, updwtmpx \- user accounting database functions
@@ -235,14 +235,14 @@
 used by applications interested in creating \fButmpx\fR entries.
 .sp
 .LP
-For records of type \fBUSER_PROCESS\fR, the \fBnonuser()\fR and
-\fBnonuserx()\fR macros use the value of the \fBut_exit.e_exit\fR member to
-mark \fButmpx\fR entries as real logins (as opposed to multiple xterms started
-by the same user on a window system).  This allows the system utilities that
-display users to obtain an accurate indication of the number of actual users,
-while still permitting each \fBpty\fR to have a \fButmpx\fR record (as most
-applications expect.). The \fBNONROOT_USER\fR macro defines the value that
-\fBlogin\fR places in the \fBut_exit.e_exit\fR member.
+For records of type \fBUSER_PROCESS\fR, the \fBnonuserx()\fR macro uses 
+value of the \fBut_exit.e_exit\fR member to mark \fButmpx\fR entries as real
+logins (as opposed to multiple xterms started by the same user on a window
+system). This allows the system utilities that display users to obtain an
+accurate indication of the number of actual users, while still permitting each
+\fBpty\fR to have a \fButmpx\fR record (as most applications expect). The 
+\fBNONROOT_USRX\fR macro defines the value that \fBlogin\fR places in the
+\fBut_exit.e_exit\fR member.
 .SH RETURN VALUES
 .sp
 .LP
